'use strict'

var assert = require('assert')

module.exports = { expects  : expects
                 , succeeds : succeeds
                 , fails    : fails
                 }

function expects(parser, expected) {
    assert.strictEqual(parser.expected, expected)
}

function succeeds(parser, input, value, rest) {
    assert.deepEqual(parser(input), { succeeded : true
                                    , value     : value
                                    , rest      : rest
                                    })
}

function fails(parser, input, expected) {
    assert.deepEqual(parser(input), { succeeded  : false
                                    , expected   : expected
                                    , rest       : input
                                    })
}
